Skip to main content
PATCH
Update a company operation type

Authorizations

x-api-key
string
header
required

API Key for authentication

Path Parameters

id
integer
required

Operation type ID

Body

application/json
name
string
Maximum string length: 100
type
enum<string>
Available options:
up,
down,
exchange,
other,
budget,
interest
operation_form_config
object | null

Company operation-type form config (dashboard operation_form_config). Validated with parseOperationFormConfig. kind is up_down (type=up or down), exchange, or other.

default_completed
boolean

Response

Updated operation type

id
integer

Operation type ID

name
string

Operation type name

type
enum<string>

Operation category

Available options:
up,
down,
exchange,
other,
budget,
interest
company_id
integer

Company ID

operation_form_config
object | null

Company operation-type form config (dashboard operation_form_config). Validated with parseOperationFormConfig. kind is up_down (type=up or down), exchange, or other.

default_completed
boolean

When true, create-operation forms default the completed checkbox on for approvers for this type. False starts them pending. Users without approve permission always create pending. Defaults to true.

created_at
string<date-time>

Creation timestamp

updated_at
string<date-time>

Last update timestamp